#include "receiver.h"
#include "ui_receiver.h"

#include <QApplication>
#include <QDBusConnection>

Receiver::Receiver (QWidget *parent) :
    QMainWindow(parent),
    ui (new Ui::Receiver)
{
    ui->setupUi(this);

    QDBusConnection bus = QDBusConnection::sessionBus();
    if (bus.isConnected ())
        if (bus.registerService ("org.example.receiver"))
            if (bus.registerObject ("/", this, QDBusConnection::ExportAllSlots))
                ui->textEdit->append ("Ready");
}

Receiver::~Receiver()
{
    delete ui;
}

void Receiver::hello (QString s)
{
    ui->textEdit->append ("Method hello - Received: " + s);
}

QString Receiver::hello2 (QString s)
{
    ui->textEdit->append ("Method hello2 - Received: " + s);
    return "O.K.";
}

int main (int argc, char *argv[])
{
    QApplication a(argc, argv);
    Receiver w;
    w.show();

    return a.exec();
}


/*
  yum install qt-qdbusviewer
  qdbusviewer, vyhledat org.example.receiver

  nebo

  yum install qt5-qdbusviewer
  qdbusviewer-qt5
*/
